%global __python %{__python3}
%global tag     1.3.275.0
%global gittag  %(cut -b -7 <<< %{tag})

Name:           vulkan-loader
Version:        %{tag}
Release:        1%{?dist}
Summary:        Vulkan ICD desktop loader

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Loader
Source0:        %url/archive/v%{gittag}.tar.gz#/Vulkan-Loader-%{gittag}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)

Provides:       vulkan%{?_isa} = %{version}-%{release}
Provides:       vulkan = %{version}-%{release}
Obsoletes:      vulkan < %{version}-%{release}
Provides:       vulkan-filesystem = %{version}-%{release}
Obsoletes:      vulkan-filesystem < %{version}-%{release}

%if 0%{?fedora} <= 27
%ifarch x86_64 i686
Requires:       mesa-vulkan-drivers%{?_isa}
%endif
%else
Requires:       mesa-vulkan-drivers%{?_isa}
%endif


%description
This project provides the Khronos official Vulkan ICD desktop
loader for Windows, Linux, and MacOS.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vulkan-headers
Provides:       vulkan-devel%{?_isa} = %{version}-%{release}
Provides:       vulkan-devel = %{version}-%{release}
Obsoletes:      vulkan-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n Vulkan-Loader-%{gittag}

%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release -DUPDATE_DEPS=ON
%cmake3_build

%install
%cmake3_install

# create the filesystem
mkdir -p %{buildroot}%{_sysconfdir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}%{_datadir}/vulkan/{explicit,implicit}_layer.d/ \
%{buildroot}{%{_sysconfdir},%{_datadir}}/vulkan/icd.d
%ldconfig_scriptlets


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%dir %{_sysconfdir}/vulkan/
%dir %{_sysconfdir}/vulkan/explicit_layer.d/
%dir %{_sysconfdir}/vulkan/icd.d/
%dir %{_sysconfdir}/vulkan/implicit_layer.d/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/vulkan/explicit_layer.d/
%dir %{_datadir}/vulkan/icd.d/
%dir %{_datadir}/vulkan/implicit_layer.d/
%{_libdir}/*.so.*

%files devel
%{_libdir}/pkgconfig/vulkan.pc
%{_libdir}/*.so
%{_libdir}/cmake/VulkanLoader/*.cmake


%changelog
* Sun Jan 14 2024 Bluestang <bluestang2006@gmail.com> - 1.3.275.0-1
- Update to 1.3.275 upstream

* Sun Aug 13 2023 Bluestang <bluestang2006@gmail.com> - 1.3.261.0-1
- Update to 1.3.261 upstream

* Thu Aug 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.260.0-1
- Update to 1.3.260 upstream

* Wed May 31 2023 Bluestang <bluestang2006@gmail.com> - 1.3.251.0-1
- Update to 1.3.251 upstream

* Sat May 06 2023 Bluestang <bluestang2006@gmail.com> - 1.3.250.0-1
- Update to 1.3.250 upstream

* Mon Apr 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.246.0-1
- Update to 1.3.246 upstream

* Fri Mar 24 2023 Bluestang <bluestang2006@gmail.com> - 1.3.245.0-1
- Update to 1.3.245 upstream

* Fri Mar 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.242.0-1
- Update to 1.3.242 upstream

* Fri Jan 27 2023 Bluestang <bluestang2006@gmail.com> - 1.3.240.0-1
- Update to 1.3.240 upstream

* Mon Dec 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.238.0-1
- Update to 1.3.238 upstream

* Fri Nov 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.235.0-1
- Update to 1.3.235 upstream

* Sun Nov 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.234.0-1
- Update to 1.3.234 upstream

* Sat Nov 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.233.0-1
- Update to 1.3.233 upstream

* Thu Sep 29 2022 Bluestang <bluestang2006@gmail.com> - 1.3.230.0-1
- Update to 1.3.230 upstream

* Thu Sep 15 2022 Bluestang <bluestang2006@gmail.com> - 1.3.228.0-1
- Update to 1.3.228 upstream

* Mon Sep 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.226.0-1
- Update to 1.3.226 upstream

* Sun Aug 28 2022 Bluestang <bluestang2006@gmail.com> - 1.3.225.0-1
- Update to 1.3.225 upstream

* Sat Aug 06 2022 Bluestang <bluestang2006@gmail.com> - 1.3.224.0-1
- Update to 1.3.224 upstream

* Mon Jul 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.221.0-1
- Update to 1.3.221 upstream

* Fri Jul 01 2022 Bluestang <bluestang2006@gmail.com> - 1.3.219.0-1
- Update to 1.3.219 upstream

* Fri Jun 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.218.0-1
- Update to 1.3.218 upstream

* Sun Jun 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.216.0-1
- Update to 1.3.216 upstream

* Mon May 30 2022 Bluestang <bluestang2006@gmail.com> - 1.3.215.0-1
- Update to 1.3.215 upstream

* Tue May 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.214.0-1
- Update to 1.3.214 upstream

* Tue Apr 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.211.0-1
- Update to 1.3.211 upstream

* Sat Apr 02 2022 Bluestang <bluestang2006@gmail.com> - 1.3.210.0-1
- Update to 1.3.210 upstream

* Sun Mar 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.207.0-1
- Update to 1.3.207 upstream

* Sat Feb 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.206.0-1
- Update to 1.3.206 upstream

* Tue Feb 08 2022 Bluestang <bluestang2006@gmail.com> - 1.3.205.0-1
- Update to 1.3.205 upstream

* Wed Jan 26 2022 Bluestang <bluestang2006@gmail.com> - 1.3.204-1
- Update to 1.3.204 upstream

* Thu Dec 23 2021 Bluestang <bluestang2006@gmail.com> - 1.2.202-1
- Update to 1.2.202 upstream
